# Single/Plus Utils

이 컨트랙트는 KLAYswap 서비스의 Single / Plus Pool 관련 수령 가능한 보상 정보를 확인해 볼 수 있습니다.

## Address

* Cypress : [0x3C9736fFd8752342eC64328C498eD6878A797887](https://scope.klaytn.com/account/0x3C9736fFd8752342eC64328C498eD6878A797887?tabId=internalTx)

{% tabs %}
{% tab title="Read-Only Functions" %}

## Read-Only Functions

**getPendingSingleReward**

```solidity
function getPendingSingleReward(address pool, address user) public view returns (
    uint reward
) 
```

* 특정 단일 예치 Pool 에서 User가 수령 가능한 KSP 보상 정보
* Input Parameters
  * `pool` : Single Pool 주소
  * `user` : User 주소
* Outputs
  * `reward` : 수령 가능한 KSP 수량

**getPendingPlusReward**

```solidity
function getPendingPlusReward(address pool, address user) public view returns (
    uint reward
) 
```

* 특정 플러스 예치 Pool 에서 User가 수령 가능한 KSP 보상 정보
* Input Parameters
  * `pool` : Plus Pool 주소
  * `user` : User 주소
* Outputs
  * `reward` : 수령 가능한 KSP 수량

**getSinglePoolBalance**

```solidity
function getSinglePoolBalance(address pool, address user) public view returns (
    uint ibal, uint bal
)
```

* 특정 단일 예치 Pool 의  User의 자산 갯수 조회
* Input Parameters
  * `pool` : Single Pool 주소
  * `user` : User 주소
* Outputs
  * `ibal` : 유저가 예치하고 있는 iToken 갯수
  * `bal` : 유저가 예치한 iToken 에 해당하는 token 갯수

**getPlusPoolStatus**

```solidity
function getPlusPoolStatus(address pool, address user) public view returns (
    uint lp, uint debtA, uint debtB
)

```

* 특정 플러스 예치 Pool 에서 User의 현재 상태
* Input Parameters
  * `pool` : Plus Pool 주소
  * `user` : User 주소
* Outputs
  * `lp` : User가 플러스 예치하고 있는 LP 갯수
  * `debtA`  : User가 대출하고 있는 tokenA의 갯수
  * `debtB`  : User가 대출하고 있는 tokenB의 갯수
    {% endtab %}
    {% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.klayswap.com/kr/developer/contract/single-plus-utils.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
